javax.enterprise.deploy.spi.status

## Interface ProgressObject

-     public interface ProgressObject

  The ProgressObject interface tracks and reports the progress of the deployment activities, distribute, start, stop, undeploy.

  This class has an `optional` cancel method. The support of the cancel function can be tested by the isCancelSupported method.

  The ProgressObject structure allows the user the option of polling for status or to provide a callback.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProgressListener(ProgressListener pol)` Add a listener to receive Progress events on deployment actions.
    `void` | `cancel()` (optional) A cancel request on an in-process operation stops all further processing of the operation and returns the environment to it original state before the operation was executed.
    `ClientConfiguration` | `getClientConfiguration(TargetModuleID id)` Return the ClientConfiguration object associated with the TargetModuleID.
    `DeploymentStatus` | `getDeploymentStatus()` Retrieve the status of this activity.
    `TargetModuleID[]` | `getResultTargetModuleIDs()` Retrieve the list of TargetModuleIDs successfully processed or created by the associated DeploymentManager operation.
    `boolean` | `isCancelSupported()` Tests whether the vendor supports a cancel opertation for deployment activities.
    `boolean` | `isStopSupported()` Tests whether the vendor supports a stop opertation for deployment activities.
    `void` | `removeProgressListener(ProgressListener pol)` Remove a ProgressObject listener.
    `void` | `stop()` (optional) A stop request on an in-process operation allows the operation on the current TargetModuleID to run to completion but does not process any of the remaining unprocessed TargetModuleID objects.

- - ### Method Detail

    - #### getDeploymentStatus

          DeploymentStatus getDeploymentStatus()

      Retrieve the status of this activity.
      Returns:
        An object containing the status information.

    - #### getResultTargetModuleIDs

          TargetModuleID[] getResultTargetModuleIDs()

      Retrieve the list of TargetModuleIDs successfully processed or created by the associated DeploymentManager operation.
      Returns:
        a list of TargetModuleIDs.

    - #### getClientConfiguration

          ClientConfiguration getClientConfiguration(TargetModuleID id)

      Return the ClientConfiguration object associated with the TargetModuleID.
      Returns:
        ClientConfiguration for a given TargetModuleID or null if none exists.

    - #### isCancelSupported

          boolean isCancelSupported()

      Tests whether the vendor supports a cancel opertation for deployment activities.
      Returns:
        `true` if canceling an activity is supported by this platform.

    - #### cancel

          void cancel()
                      throws OperationUnsupportedException

      (optional) A cancel request on an in-process operation stops all further processing of the operation and returns the environment to it original state before the operation was executed. An operation that has run to completion cannot be cancelled.
      Throws:
        `OperationUnsupportedException` - this optional command is not supported by this implementation.

    - #### isStopSupported

          boolean isStopSupported()

      Tests whether the vendor supports a stop opertation for deployment activities.
      Returns:
        `true` if canceling an activity is supported by this platform.

    - #### stop

          void stop()
                    throws OperationUnsupportedException

      (optional) A stop request on an in-process operation allows the operation on the current TargetModuleID to run to completion but does not process any of the remaining unprocessed TargetModuleID objects. The processed TargetModuleIDs must be returned by the method getResultTargetModuleIDs.
      Throws:
        `OperationUnsupportedException` - this optional command is not supported by this implementation.

    - #### addProgressListener

          void addProgressListener(ProgressListener pol)

      Add a listener to receive Progress events on deployment actions.
      Parameters:
        `pol` - the listener to receive events
      See Also:
        `ProgressEvent`

    - #### removeProgressListener

          void removeProgressListener(ProgressListener pol)

      Remove a ProgressObject listener.
      Parameters:
        `pol` - the listener being removed
      See Also:
        `ProgressEvent`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.